# $Revision: 1.18 $, $Date: 2007-02-13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-BufferText
Summary:	XML::Filter::BufferText Perl module - to guarantee characters in one event
Summary(pl.UTF-8):	Moduł Perla XML::Filter::BufferText - gwarancja przesłania znaków w jednym zdarzeniu
Name:		perl-XML-Filter-BufferText
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2992c0387632583b966ab9c965b25512
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.40
BuildRequires:	perl-XML-SAX >= 0.04
BuildRequires:	perl(XML::SAX::Base) >= 1.03
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-SAX >= 0.04
Requires:	perl(XML::SAX::Base) >= 1.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple filter. One common cause of grief (and
programmer error) is that XML parsers aren't required to provide
character events in one chunk. They can, but are not forced to, and
most don't. This filter does the trivial but oft-repeated task of
putting all characters into a single event.

%description -l pl.UTF-8
To jest bardzo prosty filtr. Jednym z częstych zmartwień (i błędów
programistów) jest to, że analizatory XML-a nie muszą dostarczać
zdarzeń znakowych w jednym kawałku. Mogą, ale nie są do tego zmuszone,
i przeważnie tego nie robią. Ten filtr wykonuje trywialne, ale często
wykonywane zadanie umieszczania wszystkich znaków w jednym zdarzeniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Filter/BufferText.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-BufferText.spec,v $
Revision 1.18  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:55  paladine
- formatting

Revision 1.15  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/06 18:21:29  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.12  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.11  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.10  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.9  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/07/30 23:16:54  grzegol
- updated to 1.01

Revision 1.7  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:12  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/04 00:56:25  qboosh
- new

